{
  buildGoModule,
  lib,
}:
buildGoModule {
  pname = "fzgo";
  version = "0.1.0";

  src = builtins.path {
    name = "fzgo-source";
    path = ./src;
  };
  vendorHash = "sha256-0YG2kf1500UpSdDK+ONGTKGZFrIivi/O1g2uIkgd4DA=";

  nativeBuildInputs = [ ];

  buildInputs = [ ];

  meta = with lib; {
    description = "An alternative to FZF written in Go, specifically optimized for file path selection.";
    homepage = "https://git.thomasave.be/thomasave/fzgo";
    license = licenses.mit;
    maintainers = with maintainers; [thomasave];
    platforms = platforms.linux;
    mainProgram = "fzgo";
  };
}
